Gatana logoGatana Docs
Routesv2ServersSlug

/servers/{slug}

Partially update an MCP server using JSON Merge Patch (RFC 7396). Send only the fields to change. Explicit null clears nullable fields (oauthMetadata, oauthClientConfiguration). Absent fields are untouched. Read-only fields are silently ignored

PATCH
/servers/{slug}
AuthorizationBearer <token>

In: header

Path Parameters

slug*string
Length1 <= length

Request Body

application/json

[key: string]?unknown

Response Body

application/json

curl -X PATCH "https://YOUR_ORG_ID.gatana.ai/api/v2/servers/string" \  -H "Content-Type: application/json" \  -d '{    "property1": null,    "property2": null  }'
{
  "id": "string",
  "slug": "string",
  "tenantId": "string",
  "description": "string",
  "authorization": {
    "method": "none",
    "credentialsScope": "server",
    "apikeys": [
      "string"
    ],
    "toolRefreshCredentialPolicy": "server-scoped"
  },
  "transportConfig": {
    "type": "httpstreaming",
    "url": "string",
    "headers": [
      [
        "string",
        "string"
      ]
    ]
  },
  "oauthClientConfiguration": {},
  "oauthMetadata": {},
  "visibility": "private",
  "isEnabled": true,
  "lastToolRefreshAt": "string",
  "timeoutProtocol": 9007199254740991,
  "timeoutTotal": 9007199254740991,
  "resetTimeoutOnProgressNotification": true,
  "isOutputCompressionEnabled": true,
  "isOutputCompressionTransformEnabled": true,
  "outputCompressionThresholdBytes": 1024,
  "firewallRules": [
    {
      "condition": "string",
      "action": "deny"
    }
  ],
  "createdAt": "string",
  "updatedAt": "string"
}